# Uses of Class
net.shibboleth.idp.profile.audit.impl.PopulateAuditContext

Packages that use PopulateAuditContext
Package
Description
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of PopulateAuditContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as PopulateAuditContext
Modifier and Type
Field
Description
`private PopulateAuditContext`
AbstractAuditingValidationAction.`populateAuditContextAction`
Optional audit extraction action.
Methods in net.shibboleth.idp.authn.impl with parameters of type PopulateAuditContext
Modifier and Type
Method
Description
`void`
AbstractAuditingValidationAction.`setPopulateAuditContextAction(PopulateAuditContext action)`
Sets an audit context population action to run.